<?php
$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_d479b59dd" . "022e4a944c" . "0ec1b9f5f9" . "302" => base64_decode("SU5TRVJUIElOVE8gRVJNU19zY2hlZHVsZV9ob2xkcyAob2JqZWN0X2lkLCBhZ2dyZWdhdGlvbiwgcGFy" . "ZW50X2lkKSBWQUxVRVMgKGludDpvYmplY3RfaWQsIGludDphZ2dyZWdhdGlvbiwgaW50OnBhcmVudF9p" . "ZCk="), "objec" . "t_id" => base64_decode("b2JqZWN0" . "X2lk"), "_0c5123aa744f69bbc" . "0e8b3ea2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "agg" . "reg" . "ati" . "on" => base64_decode("YWdncmVnYXRpb2" . "4="), "_2c2ffe27f18d2bac1d27c5d98" . "e7dff6b" => base64_decode("REVMRVRFIEZST00gRVJNU19zY2hlZHVsZV9ob2xkcyBXSEVSRSBvYmplY3RfaWQgPSBpbnQ6b2JqZWN0X2lkIEFORC" . "BhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQgcGFyZW50X2lkID0gaW50OnBhcmVudF9pZA=="), "_6e38cb9e043a0" . "7cd69a1711a670" . "4c62a" => base64_decode("cGFyZW5" . "0X2lk"), "_51b7f4bbc1" . "d1bb48c391d" . "e491e07df27" => base64_decode("ZG9jdW1lbnRzLmVybXNvYmplY3Qubm" . "90X2RlZmluZWQ="), "_5d9771e9f2d1880bedef61" . "47f3437484" => base64_decode("U0VMRUNUICogRlJPTSBFUk1TX3NjaGVkdWxlX2hvbGRzIFdIRVJFIG9iamVjdF9pZCA9IGludD" . "pvYmplY3RfaWQgQU5EIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCBwYXJlbnRf" . "aWQgPSBpbnQ6cGFyZW50X2lk"));
class ERMSDisposalHold extends ErrorHandler
{
    protected $object_id;
    protected $aggregation;
    protected $parent_id = 0;
    public function SetObjectById($object_id, $aggregation, $_6e38cb9e043a07cd69a1711a6704c62a)
    {
        $this->object_id = $object_id;
        $this->aggregation = $aggregation;
        $this->parent_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        return true;
    }
    public function SetObject($_01ae63927cddbad58fea82ff8663c880)
    {
        if (!$_01ae63927cddbad58fea82ff8663c880) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_51b7f4bbc1d1bb48" . "c391de491e07df27"]));
        }
        $this->object_id = $_01ae63927cddbad58fea82ff8663c880->GetID();
        $this->aggregation = $_01ae63927cddbad58fea82ff8663c880->GetAggregation();
        $this->parent_id = $_01ae63927cddbad58fea82ff8663c880->GetParentID();
        return true;
    }
    public function Save()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $this->Remove();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d479b59dd022e4a944" . "c0ec1b9f5f9302"], $this->object_id, $this->aggregation, $this->parent_id);
    }
    public function Load()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        if (!$this->object_id || !$this->aggregation) {
            return false;
        }
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_5d9771e9" . "f2d1880be" . "def6147f3" . "437484"], $this->object_id, $this->aggregation, $this->parent_id);
        if ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->object_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["obje" . "ct_i" . "d"]];
            $this->aggregation = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["aggrega" . "tion"]];
            $this->parent_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_6e38cb9e04" . "3a07cd69a17" . "11a6704c62a"]];
            return true;
        }
        return false;
    }
    
    
    
    
    public function Remove()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2c2ffe27f18d2" . "bac1d27c5d98e7" . "dff6b"], $this->object_id, $this->aggregation, $this->parent_id);
    }
}